<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <title>リスキージョブ：危険な仕事へ登録</title>
  <link rel="stylesheet" type="text/css" href="style.css" />
</head>
<body>
  <img src="riskyjobs_title.jpg" alt="Risky Jobs" />
  <img src="riskyjobs_fireman.jpg" alt="Risky Jobs" style="float:right" />
  <h3>リスキージョブ：危険な仕事へ登録</h3>

<?php
  if (isset($_POST['submit'])) {
    $first_name = $_POST['firstname'];
    $last_name = $_POST['lastname'];
    $email = $_POST['email'];
    $phone = $_POST['phone'];
    $job = $_POST['job'];
    $resume = $_POST['resume'];
    $output_form = 'no';

    if (empty($last_name)) {
      // $last_name is blank
      echo '<p class="error">エラー：「姓」が入力されていません。</p>';
      $output_form = 'yes';
    }

    if (empty($first_name)) {
      // $first_name is blank
      echo '<p class="error">エラー：「名」が入力されていません。</p>';
      $output_form = 'yes';
    }

    if (empty($email)) {
      // $email is blank
      echo '<p class="error">エラー：メールアドレスが入力されていません。</p>';
      $output_form = 'yes';
    }

    if (empty($phone)) {
      // $phone is blank
      echo '<p class="error">エラー：電話番号が入力されていません。</p>';
      $output_form = 'yes';
    }

    if (empty($job)) {
      // $job is blank
      echo '<p class="error">エラー：希望職種が入力されていません。</p>';
      $output_form = 'yes';
    }

    if (empty($resume)) {
      // $resume is blank
      echo '<p class="error">エラー：履歴書が入力されていません。</p>';
      $output_form = 'yes';
    }
  }
  else {
    $output_form = 'yes';
  }

  if ($output_form == 'yes') {
?>

<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
   <p>リスキージョブによる登録および履歴書の投稿</p>
  <table>
    <tr>
      <td><label for="lastname">姓：</label></td>
      <td><input id="lastname" name="lastname" type="text" value="<?php echo $last_name; ?>"/></td></tr>
    <tr>
      <td><label for="firstname">名：</label></td>
      <td><input id="firstname" name="firstname" type="text" value="<?php echo $first_name; ?>"/></td></tr>
    <tr>
      <td><label for="email">メール：</label></td>
      <td><input id="email" name="email" type="text" value="<?php echo $email; ?>"/></td></tr>
    <tr>
      <td><label for="phone">電話番号：</label></td>
      <td><input id="phone" name="phone" type="text" value="<?php echo $phone; ?>"/></td></tr>
    <tr>
      <td><label for="job">希望職種：</label></td>
      <td><input id="job" name="job" type="text" value="<?php echo $job; ?>"/></td>
  </tr>
  </table>
  <p>
    <label for="resume">ここに履歴書を貼り付けてください：</label><br />
    <textarea id="resume" name="resume" rows="4" cols="40"><?php echo $resume; ?></textarea><br />
    <input type="submit" name="submit" value="送信" />
  </p>
</form>

<?php
  }
  else if ($output_form == 'no') {
    echo '<p>' . $last_name . ' ' . $first_name . 'さん、リスキージョブにご登録ありがとうございます！</p>';

    // code to insert data into the RiskyJobs database...
  }
?>

</body>
</html>
